Skip to main content
Jump to: navigation, search

Difference between revisions of "M2E extension development environment"

Line 3: Line 3:
 
== Setting up Eclipse IDE  ==
 
== Setting up Eclipse IDE  ==
  
*"Classic" Eclipse distribution 3.7 or 3.6.2
+
* "Standard" Eclipse distribution 4.3 or newer from http://www.eclipse.org/downloads/
*Add http://download.eclipse.org/technology/swtbot/helios/dev-build/update-site update site
+
* m2e 1.4 or newer from http://download.eclipse.org/technology/m2e/releases/, including semi-hidden m2e SDK feature (uncheck "Group items by category" to see it)
*Install m2e 1.0.0 from http://download.eclipse.org/technology/m2e/releases/1.0, including semi-hidden m2e SDK feature (uncheck "Group items by category" to see it)
+
  
 
[[Image:M2e-sdk-install.png]]
 
[[Image:M2e-sdk-install.png]]

Revision as of 12:02, 22 August 2013

M2E
Website
Download
Community
Mailing ListForumsIRCmattermost
Issues
OpenHelp WantedBug Day
Contribute
Browse Source

Setting up Eclipse IDE

M2e-sdk-install.png

Command line build

Download and unpack to a local folder Maven 3.0.3 or better available from http://maven.apache.org/download.html

Back to the top